Subject: bug#1287: 23.0.60; emacs 23.0.60 does not build on x86_64 architeture

From: Sven Joachim <[email-masked]>
Date: Sun, 02 Nov 2008 18:52:39 +0100

[ Please keep the bug report CC'ed.]

Am 02.11.2008 um 16:27 schrieb [email-masked]:

> -----Original Message-----
>> Date: Sat, 01 Nov 2008 17:41:10 +0100
>> Subject: Re: bug#1287: 23.0.60; emacs 23.0.60 does not build on x86_64
>> architeture
>> From: Sven Joachim <[email-masked]>
>> To: "stefan-husmann\@t-online.de" <[email-masked]>
>
>> Am 31.10.2008 um 22:31 schrieb [email-masked]:
>> 
>> > Hello
>> > 
>> > I try to make a PKGBUILD on Arch Linux, x86_64 architecture. System
>> > libs ar not installed under /usr/lib64 but under /usr/lib.
>> > 
>> 
>> Do you have a symlink /usr/lib64 -> lib ?  It might help to avoid...
>> 
>> > make[2]: *** No rule to make Target »/usr/lib64/crt1.o«,
>> > needed by »temacs«,  Stop.
>> 
>> ...this problem, because /usr/lib/crt1.o should exist.
>> 
>> Sven
>> 
>> 
> Hello,
>
> thank you for your answer.
>
> /usr/lib/crt1.o, /usr/lib/crti.o, /usr/lib/crtn.o, do exist. I am
> currently trying to rebuild 
> with the symlinks, and it seems to work (compilation takes longer  than
> it did before).
>
> But this is not a valid/beautiful solution for package maintainers. The
> problem did 
> not apply in former cvs  checkouts imho.

I just tested that in an amd64 chroot where I removed the /usr/lib64
symlink that my distribution creates, and Emacs built fine.

Please run `make distclean' and retry without the /usr/lib64 symlink.

Regards,
        Sven